/*
 * 2017-05-15 add by yb
 * describe:员工基本资料信息管理
 */

var contextPath;
var zTreeObj = null;
var setting = {
	view : {
		dblClickExpand : false,
		showLine : false,
		showIcon: false
	},
	check : {
		enable : true
	},
	data : {
		simpleData : {
			enable : true
		}
	},
	callback : {
	}
};

//初始化项目组织树
function initTree(){
	var staffId=$("#staffId").val();  
	var deptId=$("#deptId_").val();
	if(deptId!=null&&deptId!=""){
		$.ajax({
			url :contextPath+"/admin/staff/getOrganizationBuildTree",
			type : "POST",
			data : {deptId:deptId,staffId:staffId},
			dataType:"json",
			success : function(data) {
				$.fn.zTree.init($("#organizationTree"), setting, data);
				zTreeObj=$.fn.zTree.getZTreeObj("organizationTree");
				zTreeObj.expandAll(true);
			},
			error : function(data) {
				// alert("系统繁忙,加载功能树失败..");
			}
		});
	}
	else{
		$("#organizationTree").empty();
	}
}

//初始化部门信息
function initDept(){
	var companyId=$("#companyId").val();
	if(companyId!=null&&companyId!=""){
		$.ajax({
			url: contextPath+"/admin/organization/ajaxGetDeptList",
			type: "GET",
			data:{compid:companyId},
			success: function(data){
				var htmStr="";
				var deptId_=$("#deptId_");
				var deptId=$("#deptId").val();
				deptId_.empty();
				if(data.length>0){
					htmStr+="<option value=''>请选择部门</option>";
					$.each(data,function(index,obj){
						if(obj.id==deptId){
							htmStr+="<option value='"+obj.id+"' selected='selected'>"+obj.name+"</option>";
						}
						else{
							htmStr+="<option value='"+obj.id+"' >"+obj.name+"</option>";
						}
					});
				}
				else{
					htmStr="<option value='' >当前运营中心暂无部门</option>";
				}
				deptId_.append(htmStr);
				
				initTree();
			},
			error: function(data){
			}
		});
	}
	else{
		var deptId_=$("#deptId_");
		deptId_.empty();
		var htmStr="<option value=''>请选择部门</option>";
		deptId_.append(htmStr);
	}
}

$(function() {
	contextPath=$("#contextPath").val();
	
	//初始化部门
	initDept();
	
	//编辑提交
	$("#btn-save").bind("click", function() {
		var staffNo=$("#staffNo").val();
		var staffName=$("#staffName").val();
		var staffMobile=$("#staffMobile").val();
		var deptId=$("#deptId_").val();
		if($.trim(staffNo)==""){
			alert("请输入工号");
			$("#staffNo").focus();
			return;
		}
		if($.trim(staffName)==""){
			alert("请输入姓名");
			$("#staffName").focus();
			return;
		}
		if($.trim(deptId)==""){
			alert("请选择部门");
			return;
		}
		else{
			$("#deptId").val(deptId);
		}
		
		//管辖的组织
		var checkNodes=zTreeObj.getCheckedNodes(true);
		var builds="";
		$.each(checkNodes,function(index,node){
			if(node.level=="2"){
				builds+=node.id+";";
			}
		});
		$("#buildIds").val(builds);
		if($.trim(builds)==""){
			alert("请选择管辖的范围");
			return;
		}
		
		showBlock();
		$("#conditionform").submit();
	});
	
	$("#deptId_").bind("change", function() {
		initTree();
	});
});
